Bug 228682

Summary: REGRESSION (Safari 15): Unable to repaint canvases with software filters when GPU Process is enabled
Product: WebKit Reporter: Wenson Hsieh <wenson_hsieh>
Component: CanvasAssignee: Wenson Hsieh <wenson_hsieh>
Status: RESOLVED FIXED    
Severity: Normal CC: dino, sabouhallawa, simon.fraser, thorton, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
For EWS
none
Typo fix none

Description Wenson Hsieh 2021-07-31 11:13:32 PDT
rdar://79699997
Comment 1 Wenson Hsieh 2021-07-31 11:15:28 PDT
To reproduce, enable GPU Process for canvas and go to <https://whsieh.github.io/examples/canvas-filter>

Expected: Arrow in the canvas (right box) should animate.
Observed: No animation.

Unchecking "Apply filter" (which removes the CSS filter from the canvas element) causes the animation to reappear.
Comment 2 Wenson Hsieh 2021-07-31 17:28:26 PDT Comment hidden (obsolete)
Comment 3 Wenson Hsieh 2021-08-01 09:55:58 PDT
Created attachment 434723 [details]
Typo fix
Comment 4 Wenson Hsieh 2021-08-02 10:31:07 PDT
Comment on attachment 434723 [details]
Typo fix

Thanks for the review!
Comment 5 EWS 2021-08-02 10:44:34 PDT
Committed r280543 (240170@main): <https://commits.webkit.org/240170@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 434723 [details].